<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeSocialLoginLogMapper">

    <insert id="insert" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_social_login_log (
            user_id, provider, provider_user_id, login_type, login_ip, login_location,
            browser, os, status, msg, login_time
        ) values (
            #{userId}, #{provider}, #{providerUserId}, #{loginType}, #{loginIp}, #{loginLocation},
            #{browser}, #{os}, #{status}, #{msg}, #{loginTime}
        )
    </insert>

</mapper>
